- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: e61e7b6c-5a7e-4f1b-aef4-c7798a6d505e
    creation_time: 2023-02-17T13:39:21.515793Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 30
    column: 0
    function: main
  loop_invariant:
    string: t == 2 * a + 1 && s == (a + 1) * (a + 1) && t * t - 4 * s + 2 * t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a6309303-bf13-4f0c-a301-9d2d45e1297f
    creation_time: 2023-02-17T13:39:21.516221Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 31
    column: 0
    function: main
  location_invariant:
    string: t == 2*a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1336e0fb-358e-4176-ba7a-c22a4d268278
    creation_time: 2023-02-17T13:39:21.516322Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 32
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c3bb50bd-05c6-4c2a-a410-9bd1592feb43
    creation_time: 2023-02-17T13:39:21.516407Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 33
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 7bbbbdce-28af-45a3-a82c-a8713ec3ca28
    creation_time: 2023-02-17T13:39:21.516491Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 44
    column: 0
    function: main
  location_invariant:
    string: t == 2 * a + 1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 81fe8fae-a909-48e4-b4dd-750ce93ab87d
    creation_time: 2023-02-17T13:39:21.516574Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 45
    column: 0
    function: main
  location_invariant:
    string: s == (a + 1) * (a + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: eb8f8d10-5f61-4d96-8f90-883f05fcb7be
    creation_time: 2023-02-17T13:39:21.516654Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
      input_file_hashes:
        c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/sqrt1-ll_unwindbound1.c
    file_hash: 1870b8451d4735c7264ac4337bbb2c1eeecb277125949d2d6e57edbf68a24fac
    line: 46
    column: 0
    function: main
  location_invariant:
    string: t*t - 4*s + 2*t + 1 == 0
    type: assertion
    format: C

